Page MenuHomePhabricator

[Regression wmf13] Adding an link with the link inspector in insertion mode inserts an anchor with "/wiki/" prepended
Closed, ResolvedPublic1 Estimated Story Points

Description

Steps to reproduce:

1.Open the ink inspector
2.Search for an article
3.Select an article to add it in the page say Latin

Observed Result:
On the page its getting added as '/wiki/Latin'

See the screenshot attached

Event Timeline

Ryasmeen created this task.Jul 6 2015, 10:49 AM
Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2015, 10:49 AM

Reproducible on test2 now

Ryasmeen renamed this task from [Regression pre-wmf13] Article URL with namespace '/wiki/' is getting added in the page while adding it from the link inspector to [Regression wmf13] Article URL with namespace '/wiki/' is getting added in the page while adding it from the link inspector.Jul 8 2015, 2:52 PM
Ryasmeen set Security to None.
Jdforrester-WMF renamed this task from [Regression wmf13] Article URL with namespace '/wiki/' is getting added in the page while adding it from the link inspector to [Regression wmf13] Adding an link with the link inspector in insertion mode inserts an anchor with "/wiki/" prepended.Jul 8 2015, 3:38 PM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF added a subscriber: Krenair.

Sounds like this could've been caused by https://gerrit.wikimedia.org/r/#/c/220307/2

Change 223707 had a related patch set uploaded (by Alex Monk):
Bypass ve.ui.MWInternalLinkAnnotationWidget.prototype.getHref when determining text

https://gerrit.wikimedia.org/r/223707

We should probably be avoiding getHref in ve.ui.MWLinkAnnotationInspector.prototype.getInsertionText for internal links, but the uploaded patch should still fix the immediate issue.

Krenair claimed this task.Jul 9 2015, 8:29 PM

Change 223707 merged by jenkins-bot:
Bypass ve.ui.MWInternalLinkAnnotationWidget.prototype.getHref when determining text

https://gerrit.wikimedia.org/r/223707

Change 223983 had a related patch set uploaded (by Alex Monk):
Bypass ve.ui.MWInternalLinkAnnotationWidget.prototype.getHref when determining text

https://gerrit.wikimedia.org/r/223983

Change 223983 merged by jenkins-bot:
Bypass ve.ui.MWInternalLinkAnnotationWidget.prototype.getHref when determining text

https://gerrit.wikimedia.org/r/223983

I backported and deployed that commit to fix production.

Jdforrester-WMF closed this task as Resolved.Jul 10 2015, 12:48 AM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Fixed in prod.

Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from Nominated to Done on the VisualEditor 2015/16 Q1 blockers board.